Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155717 - xscreensaver cancels user typing password
Summary: xscreensaver cancels user typing password
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 14:54 UTC by David Balažic
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-19 14:24:13 UTC


Attachments (Terms of Use)

Description David Balažic 2005-04-22 14:54:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
If your're slow (and unlucky) the password dialog can timeout in the middle
of typing a password.
Timer should be reset if the user is typing.


Version-Release number of selected component (if applicable):
xscreensaver-base-4.21-1

How reproducible:
Always

Steps to Reproduce:
1. lock screen
2. type password slowly
3.
  

Actual Results:  If the timeout reaches zero before you finish typing your password, the dialog will go away. Then you must type the password again from beginning.

Expected Results:  xscreensaver should let me type my password to the end.

Additional info:

Comment 1 Mamoru TASAKA 2005-09-18 13:17:09 UTC
I think this bug is already fixed in the version 4.22.

In the version 4.22, driver/lock.c is changed so that each time a key
is pressed 10 percent of the whole time allowed to type a password is added
to the remaining time (pw->ratio) .

I saw that this bug remains in the rpm version 4.21-4, but doesn't seem
to remain in the version 4.22-16.

Comment 2 Ray Strode [halfline] 2005-09-19 14:24:13 UTC
Hi Mamoru,

Great, thanks.


Note You need to log in before you can comment on or make changes to this bug.